from django.urls import path
from . import views

app_name='Comunicazioni'
urlpatterns = [
  path(r'ControlloScadenzeContratto/<int:demo>/<int:dominio>/<int:causale>',views.ControlloScadenzeContratto,name='ControlloScadenzeContratto'),
  path(r'ControlloScadenzeContratto/<int:demo>/<int:dominio>',views.ControlloScadenzeContratto,name='ControlloScadenzeContratto'),
  path(r'ControlloScadenzeContratto/<int:demo>',views.ControlloScadenzeContratto,name='ControlloScadenzeContratto'),
  path(r'ControlloScadenzeContratto',views.ControlloScadenzeContratto,name='ControlloScadenzeContratto'),

  path(r'ControlloScadenzeRegistrar/<int:demo>/<int:dominio>',views.ControlloScadenzeRegistrar,name='ControlloScadenzeRegistrar'),
  path(r'ControlloScadenzeRegistrar/<int:demo>',views.ControlloScadenzeRegistrar,name='ControlloScadenzeRegistrar'),
  path(r'ControlloScadenzeRegistrar',views.ControlloScadenzeRegistrar,name='ControlloScadenzeRegistrar'),

  path(r'ControlloScadenzaDefinitiva/<int:demo>',views.ControlloScadenzaDefinitiva,name='ControlloScadenzaDefinitiva'),
  path(r'ControlloScadenzaDefinitiva/<int:demo>/<int:dominio>',views.ControlloScadenzaDefinitiva,name='ControlloScadenzaDefinitiva'),
  path(r'ControlloScadenzaDefinitiva',views.ControlloScadenzaDefinitiva,name='ControlloScadenzaDefinitiva'),

  path(r'ControlloScadenzaVicina/<int:demo>',views.ControlloScadenzaVicina,name='ControlloScadenzaVicina'),
  path(r'ControlloScadenzaVicina/<int:demo>/<int:dominio>',views.ControlloScadenzaVicina,name='ControlloScadenzaVicina'),
  path(r'ControlloScadenzaVicina',views.ControlloScadenzaVicina,name='ControlloScadenzaVicina'),

  path(r'ConfermaScadenza/<uuid:uuid>',views.ConfermaScadenza,name='ConfermaScadenza'),

  path(r'CheckQuotaMail/<str:dominio>/<str:mail>/<int:quota>',views.CheckQuotaMail,name='CheckQuotaMail'),
  path(r'CheckQuotaHttp/<str:dominio>/<int:quota>',views.CheckQuotaHttp,name='CheckQuotaFtp'),
  path(r'CheckQuotaFtp/<str:dominio>/<str:ftp>/<int:quota>',views.CheckQuotaFtp,name='CheckQuotaFtp'),
  path(r'CheckQuotaSql/<str:database>/<int:quota>',views.CheckQuotaSql,name='CheckQuotaSql'),
 
  path(r'ComunicazioneControlloQuota/<int:demo>/<int:dominio>',views.ComunicazioneControlloQuota,name='ComunicazioneControlloQuota'),
  path(r'OccupazioneControlloQuota/<int:dominio>',views.OccupazioneControlloQuota,name='OccupazioneControlloQuota'),
  ]
